\begin{tabular}{|c|c|c|c|c|c|c|c|c|c|}
\hline 
\multirow{2}{*}{} & \multicolumn{4}{c|}{Create} & \multicolumn{3}{c|}{Delete} & \multicolumn{2}{c|}{SetData}\tabularnewline
\cline{2-10} 
 & Ok & NodeAlreadyExists & NoChildrenForEphemerals & NoNode & Ok & NotEmpty & NoNode & Ok & NoNode\tabularnewline
\hline 
\hline 
Nothing & 1 & 1 & 0 & 0 & 0 & 1 & 0 & 1 & 0\tabularnewline
\hline 
Create(C) & 1 & 1 & 0 & i(0) & i(0) & 1 & i(0) & 1 & i(0)\tabularnewline
\hline 
Delete(D) & i(1) & i(1) & 0 & 0 & 0 & i(1) & 0 & i(1) & 0\tabularnewline
\hline 
SetData(SD) &  &  &  &  &  &  &  & i(1) & 0\tabularnewline
\hline 
C \& D &  &  & i(0) &  &  &  &  &  & \tabularnewline
\hline 
 &  &  &  &  &  &  &  &  & \tabularnewline
\hline 
\end{tabular}
